# hyperdrive.el - P2P filesystem in Emacs

[Hyperdrive](https://docs.holepunch.to/building-blocks/hyperdrive) is a P2P, real-time, local-first, versioned
filesystem designed for easy peer-to-peer file sharing.
`hyperdrive.el` is an independent project built by [USHIN](https://ushin.org) which
provides an Emacs interface for managing hyperdrives.


## Installation

`hyperdrive.el` requires [Emacs](https://www.gnu.org/software/emacs/) version 27.1 or later.

`hyperdrive.el` is available on
[MELPA](https://melpa.org/#/getting-started). Once you've set up
MELPA, run `M-x package-install` then enter `hyperdrive`.


### `hyper-gateway`

`hyperdrive.el` relies on [hyper-gateway](https://github.com/RangerMauve/hyper-gateway/) for connecting to the P2P network ([installation instructions](https://github.com/RangerMauve/hyper-gateway#how-do-i-install-hyper-gateway)).


## Manual

For more information, please see the [manual](https://ushin.org/hyperdrive-manual.html).


## Bugs and Patches

Bugs can be submitted to the [ushin issue tracker](https://todo.sr.ht/~ushin/ushin). Patches, comments or
questions can be submitted to the [ushin public inbox](https://lists.sr.ht/~ushin/ushin).


## Chat Room

You're welcome to join our public XMPP chat
room!

- `xmpp:discuss@conference.ushin.org` ([Join anonymously from your browser](https://anonymous.cheogram.com/discuss@conference.ushin.org))
- `#xmpp_discuss_conference.ushin.org:matrix.org` (Matrix bridge)
